#include <windows.h>
#include <process.h>
#include <stdlib.h>
#include <stdio.h>
#include "ThreadProcess.hpp"

void ThreadProcess::start()
{
	try
	{
		threadCounter = 0;
		loopContinue = true;
		unsigned id;
		// Xbh쐬
		thread = (HANDLE)_beginthreadex(NULL, 0, &ThreadProcess::run, this, 0, &id);
	}
	catch(...)
	{
		return;
	}
}

unsigned __stdcall ThreadProcess::run(void *argument)
{
	// XbhJn
	((ThreadProcess*)argument)->update();
	return 0;
}

void ThreadProcess::update()
{
	while(loopContinue)
	{
		threadCounter++;
	}
}

void ThreadProcess::stop()
{
	if (thread)
	{
		// XbhI
		loopContinue = false;
		WaitForSingleObject(thread, INFINITE);
		CloseHandle(thread);
	}
}