﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Runtime.InteropServices;
using System.Diagnostics;

namespace ThreadTestExecuter
{
    class ThreadTestExecuter
    {
        private const string THREAD_DLL = @"..\..\..\Debug\Thread.dll";

        [DllImport(THREAD_DLL)]
        private static extern void ThreadStart();

        [DllImport(THREAD_DLL)]
        private static extern void ThreadStop();

        [DllImport(THREAD_DLL)]
        private static extern int GetThreadCounter();

        static void Main(string[] args)
        {
            Stopwatch watch = new Stopwatch();
            watch.Start();
            ThreadStart();

            while (true)
            {
                if (watch.ElapsedMilliseconds % 1000 == 0)
                {
                    Debug.WriteLine("ThreadCount:" + GetThreadCounter());
                }

                if (watch.ElapsedMilliseconds > 3000)
                {
                    watch.Stop();
                    break;
                }
            }

            ThreadStop();
        }
    }
}
